- name: create xivocc log path
  ansible.builtin.file:
      path: /var/log/xivocc
      state: directory
      owner: daemon
      group: daemon

- block:
  - name: enable xivo
    ansible.builtin.file:
      path: /var/lib/xivo/disabled
      state: absent

  - name: set var DEPLOYMNET_TYPE to custom.env
    ansible.builtin.lineinfile:
      path: "{{ globals.factory_env }}"
      regex: "^DEPLOYMNET_TYPE"
      line: DEPLOYMENT_TYPE={{ "XIVOCC" if rep_server is defined else "XIVOUC" if xuc_server is defined else "XIVO"}}

  run_once: yes
  delegate_to: "{{ main_server }}"


- name: create and set info about xivo stack overlay network
  block:
  - name: create xivo stack overlay network {{ network_name }} 
    community.docker.docker_network:
      name: "{{ network_name }}"
      driver: overlay
      state: present

  - name: get info about netxivo
    community.docker.docker_network_info:
      name: "{{ network_name }}"
    register: xivonet_info

  - name: set var XIVO_NETWORK_NAME in factory.env
    ansible.builtin.lineinfile:
      path: "{{ globals.factory_env }}"
      regexp: "^XIVO_NETWORK_NAME="
      line: XIVO_NETWORK_NAME={{ network_name }}
  
  - name: set XIVO_NETWORK_SUBNET in factory.env
    ansible.builtin.lineinfile:
      path: "{{ globals.factory_env }}"
      regexp: "^XIVO_NETWORK_SUBNET="
      line: XIVO_NETWORK_SUBNET={{ xivonet_info.network.IPAM.Config[0].Subnet }}

  run_once: yes
  delegate_to: "{{ main_server }}"

  vars:
    network_name: netxivo
 